# Common arguments

This page provides translations of commonly used arguments to simplify maintaining pages in foreign languages.  
The best way to edit this file is by using [tableconvert.com](https://tableconvert.com/).  
There, the old table can be **imported**, **edited** in a WYSIWYG editor and **exported** again.  
Only the left-alignment of the header gets lost and has to be readded again (`|----` → `|:---`).

| en    | path/to/file         | path/to/directory      | path/to/file_or_directory         | package   | username          |
|:------|:---------------------|:-----------------------|:----------------------------------|:----------|:------------------|
| ar    |                      |                        |                                   |           |                   |
| bn    |                      |                        |                                   |           |                   |
| bs    |                      |                        |                                   |           |                   |
| ca    | camí/al/fitxer       | camí/al/directori      | camí/al/fitxer_o_directori        | paquet    | nom_usuari        |
| da    |                      |                        |                                   |           |                   |
| de    | pfad/zu/datei        | pfad/zu/verzeichnis    | pfad/zu/datei_oder_verzeichnis    | paket     | benutzername      |
| es    | ruta/al/archivo      | ruta/al/directorio     | ruta/al/archivo_o_directorio      | paquete   |                   |
| fa    |                      |                        |                                   |           |                   |
| fr    | chemin/vers/fichier  | chemin/vers/dossier    | chemin/vers/fichier_ou_dossier    | paquet    | nom_d_utilisateur |
| hi    |                      |                        |                                   |           |                   |
| id    | jalan/menuju/file    | jalan/menuju/direktori | jalan/menuju/file_atau_direktori  | paket     | nama_pengguna     |
| it    | percorso/al/file     | percorso/al/directory  | percorso/al/file_o_directory      | pacchetto |                   |
| ja    |                      |                        |                                   |           |                   |
| ko    |                      |                        |                                   |           |                   |
| ml    |                      |                        |                                   |           |                   |
| nl    | pad/naar/bestand     | pad/naar/directory     | pad/naar/bestand_of_directory     |           |                   |
| no    |                      |                        |                                   |           |                   |
| pl    | ścieżka/do/pliku     | ścieżka/do/katalogu    | ścieżka/do/pliku_lub_katalogu     | pakiet    | nazwa_użytkownika |
| pt_BR | caminho/para/arquivo | caminho/para/diretorio | caminho/para/arquivo_ou_diretorio | pacote    |                   |
| pt_PT |                      |                        |                                   |           |                   |
| ro    |                      |                        |                                   |           |                   |
| ru    | путь/до/файла        | путь/до/папки          | путь/до/файла_или_папки           |           |                   |
| sh    |                      |                        |                                   |           |                   |
| sr    |                      |                        |                                   |           |                   |
| sv    |                      |                        |                                   |           |                   |
| ta    | கோப்பு               | அடைவு                | கோப்போ/அடைவோ                | நிரல்தொகுப்பு | பயனர்ப்பெயர்   |
| th    |                      |                        |                                   |           |                   |
| tr    |                      |                        |                                   |           |                   |
| uk    |                      |                        |                                   |           |                   |
| uz    |                      |                        |                                   |           |                   |
| zh    | 路径/到/文件         | 路径/到/目录           | 路径/到/文件或目录                | 包        | 用户名            |
| zh_TW | 檔案/完整/路徑       | 目錄/完整/路徑         | 檔案或目錄/完整/路徑              | 套件      | 使用者名稱        |
