# Mentioning sub-commands

When a command has a sub-command, which can't be covered in the original page, it gets its own page.
An example for this is `git` and it's sub-command pages like `git-commit`, `git-push`, etc.
In order to notify the user that such sub-command pages exist, we put a little notice in the base command's description.
This file contains the translation templates of this notice.

[en](#en) •
[ar](#ar) •
[bn](#bn) •
[bs](#bs) •
[ca](#ca) •
[da](#da) •
[de](#de) •
[es](#es) •
[fa](#fa) •
[fr](#fr) •
[hi](#hi) •
[id](#id) •
[it](#it) •
[ja](#ja) •
[ko](#ko) •
[ml](#ml) •
[ne](#ne) •
[nl](#nl) •
[no](#no) •
[pl](#pl) •
[pt_BR](#pt_br) •
[pt_PT](#pt_pt) •
[ro](#ro) •
[ru](#ru) •
[sh](#sh) •
[sr](#sr) •
[sv](#sv) •
[ta](#ta) •
[th](#th) •
[tr](#tr) •
[uk](#uk) •
[uz](#uz) •
[zh](#zh) •
[zh_TW](#zh_tw)

---
### en

```markdown
Some subcommands such as `example command` have their own usage documentation.
```

---
### ar

```markdown
بعض الأوامر الفرعية لديها توثيقات الاستخدام الخاصة بها مثل: `example command`
```

---
### bn

Not translated yet.

---
### bs

Not translated yet.

---
### ca

```markdown
Alguns subcomandaments com `example command` tenen la seva pròpia documentació.
```

---
### da

Not translated yet.

---
### de

```markdown
Manche Unterbefehle wie `example command` sind separat dokumentiert.
```

---
### es

```markdown
Algunos subcomandos, como `example command`, tienen su propia documentación de uso.
```

---
### fa

Not translated yet.

---
### fr

```markdown
Certaines sous-commandes comme `example command` ont leur propre documentation.
```

---
### hi

Not translated yet.

---
### id

```markdown
Kami mempunyai dokumentasi terpisah untuk menggunakan subperintah seperti `example command`.
```

---
### it

```markdown
Alcuni comandi aggiuntivi, come `example command`, hanno la propria documentazione.
```

---
### ja

`example command` のようないくつかのサブコマンドには、使用方法についての独自のドキュメントがあります。

---
### ko

Not translated yet.

---
### ml

Not translated yet.

---
### ne

```markdown
केही उपादेशहरु जस्तै `example command` को आफ्नै प्रयोग कागजात हुन्छ।
```

---
### nl

```markdown
Sommige subcommando's zoals `example command` hebben een eigen documentatie pagina.
```

---
### no

Not translated yet.

---
### pl

Not translated yet.

---
### pt_BR

Alguns subcomandos como `example command` tem sua própia documentação de uso.

---
### pt_PT

Alguns subcomandos, como `example command`, tem a sua própria documentação de uso.

---
### ro

Not translated yet.

---
### ru

Некоторые подкоманды, такие как `example command`, имеют собственную документацию по использованию.

---
### sh

Not translated yet.

---
### sr

Not translated yet.

---
### sv

Not translated yet.


---
### ta

```markdown
`example command` போன்ற சிலச் சார்கட்டளைகளுக்குத் தனிப் பக்கம் உள்ளது.
```

---
### th

Not translated yet.

---
### tr

Not translated yet.

---
### uk

```markdown
Певна підкоманда, як от `example command`, що має свою власну документацію.
```

---
### uz

Not translated yet.

---
### zh

```markdown
此命令也有关于其子命令的文件，例如：`example command`.
```

---
### zh_TW

```markdown
此命令也有關於其子命令的文件，例如：`example command`.
```
