# 7z

> Un compresor de archivos con un alto ratio de compresión.
> Más información: <https://www.7-zip.org>.

- Comprime un archivo o un directorio:

`7z a {{archivo_comprimido.7z}} {{ruta/al/archivo_o_directorio_a_comprimir}}`

- Encriptar un archivo comprimido existente (incluyendo cabeceras):

`7z a {{archivo_encriptado.7z}} -p{{contraseña}} -mhe=on {{archivo_comprimido.7z}}`

- Extraer un archivo comprimido en formato `.7z` con la estructura original que tenía antes de comprimir:

`7z x {{archivo_comprimido.7z}}`

- Extraer un archivo comprimido en una ruta definida por el usuario:

`7z x {{archivo_comprimido.7z}} -o {{ruta/donde/extraer}}`

- Extrae un archivo comprimido a stdout:

`7z x {{archivo_comprimido.7z}} -so`

- Comprime usando un tipo de archivo comprimido específico:

`7z a -t{{7z|bzip2|gzip|lzip|tar|zip}} {{archivo_comprimido.7z}} {{ruta/al/archivo_o_directorio_a_comprimir}}`

- Lista los tipos de archivo comprimido disponibles:

`7z i`

- Lista el contenido de un archivo comprimido:

`7z l {{archivo_comprimido.7z}}`
