# 2to3

> Mengkonversikan kode Python 2 menuju file Python 3 secara otomatis.
> Informasi lebih lanjut: <https://docs.python.org/3/library/2to3.html>.

- Menampilkan apa saja yang akan diubah tanpa mengubahnya secara langsung (dry-run):

`2to3 {{jalan/menuju/file.py}}`

- Mengkonversikan sebuah file Python 2 menuju file Python 3:

`2to3 --write {{jalan/menuju/file.py}}`

- Mengkonversikan fitur bahasa pemrograman Python 2 tertentu menuju Python 3:

`2to3 --write {{jalan/menuju/file.py}} --fix={{raw_input}} --fix={{print}}`

- Mengkonversikan seluruh fitur Python 2 menjadi Python 3, kecuali fitur-fitur tertentu:

`2to3 --write {{jalan/menuju/file.py}} --nofix={{has_key}} --nofix={{isinstance}}`

- Menampilkan daftar fitur-fitur bahasa pemrograman yang dapat dikonversikan dari Python 2 menuju Python 3:

`2to3 --list-fixes`

- Mengkonversikan seluruh file Python 2 menuju Python 3 di dalam sebuah direktori:

`2to3 --output-dir={{jalan/menuju/direktori_python3}} --write-unchanged-files --nobackups {{jalan/menuju/direktori_python2}}`

- Menjalankan program ini dengan lebih dari satu thread:

`2to3 --processes={{4}} --output-dir={{jalan/menuju/direktori_python3}} --write --nobackups --no-diff {{jalan/menuju/direktori_python2}}`
