# ack

> Утилита для поиска, подобная grep, оптимизировання для программистов.
> Смотри также: `rg`, которая гораздо быстрее.
> Больше информации: <https://beyondgrep.com/documentation>.

- Найти файлы, содержащие строку или регулярное выражение, рекурсивно в текущей директории:

`ack "{{шаблон_поиска}}"`

- Искать по шаблону без учёта регистра:

`ack --ignore-case "{{шаблон_поиска}}"`

- Искать строки, соответствующие шаблону, печатая только ([o]nly) совпавший текст, а не остальную часть строки:

`ack -o "{{шаблон_поиска}}"`

- Ограничить поиск только файлами определённого типа:

`ack --type={{ruby}} "{{шаблон_поиска}}"`

- Не искать в файлах определённого типа:

`ack --type=no{{ruby}} "{{шаблон_поиска}}"`

- Подсчитать общее количество найденных совпадений:

`ack --count --no-filename "{{шаблон_поиска}}"`

- Вывести только имена файлов и количество совпадений для каждого файла:

`ack --count --files-with-matches "{{шаблон_поиска}}"`

- Вывести все значения, которые можно использовать с `--type`:

`ack --help-types`
