# solcjs

> A set of JavaScript bindings for the Solidity compiler.
> More information: <https://github.com/ethereum/solc-js>.

- Compile a specific contract to hex:

`solcjs --bin {{path/to/file.sol}}`

- Compile the ABI of a specific contract:

`solcjs --abi {{path/to/file.sol}}`

- Specify a base path to resolve imports from:

`solcjs --bin --base-path {{path/to/directory}} {{path/to/file.sol}}`

- Specify one or more paths to include containing external code:

`solcjs --bin --include-path {{path/to/directory}} {{path/to/file.sol}}`

- Optimise the generated bytecode:

`solcjs --bin --optimize {{path/to/file.sol}}`
