# terraform

> Create and deploy infrastructure as code to cloud providers.
> More information: <https://www.terraform.io/>.

- Initialize a new or existing Terraform configuration:

`terraform init`

- Verify that the configuration files are syntactically valid:

`terraform validate`

- Format configuration according to Terraform language style conventions:

`terraform fmt`

- Generate and show an execution plan:

`terraform plan`

- Build or change infrastructure:

`terraform apply`

- Destroy Terraform-managed infrastructure:

`terraform destroy`
